Commit bcb79ff0 authored by Anthony Mallet's avatar Anthony Mallet
Browse files

[graphics/kpp-interfacedisplay] Delete obsolete package

This package is not developed anymore, and depends on non-existent kineoworks
package. So it is unlikely to be useful to anyone.

OK Florent, Guilhem
parent 355ece05
......@@ -15,7 +15,6 @@ SUBDIR+= grh2
SUBDIR+= hpp-gepetto-viewer
SUBDIR+= jafar-gdhe
SUBDIR+= kpp-interface
SUBDIR+= kpp-interfacedisplay
SUBDIR+= kpp-interfacewalk
SUBDIR+= laaswm
SUBDIR+= laaswm-libs
......
kppInterfaceDisplay is a graphical interface based on KineoPathPlanner
and intended to display objects defined by Kineo classes in robotics components like
genom modules.
# robotpkg Makefile for: graphics/kpp-interfacedisplay
# Created: florent on Fri, 3 Apr 2009
#
DISTNAME= kppinterfacedisplay-${VERSION}
PKGNAME= kpp-interfacedisplay-${VERSION}
VERSION= 1.0.2
CATEGORIES= graphics
MASTER_SITES= ${MASTER_SITE_OPENROBOTS:=kpp-interfacedisplay/}
MAINTAINER= hpp@laas.fr
COMMENT= Graphical user interface for robotics components based on Kineo
LICENSE= cnrs-hpp-closed-source
GNU_CONFIGURE= yes
DOXYGEN_PLIST_DIR+=share/doc/kppInterfaceDisplay
# options
PKG_OPTIONS_OPTIONAL_GROUPS+= verbose
PKG_OPTIONS_GROUP.verbose= verbose1 verbose2
PKG_OPTION_DESCR.verbose1= Set the level of verbosity to 1
PKG_OPTION_SET.verbose1:= CXXFLAGS+=-DDEBUG=1
PKG_OPTION_DESCR.verbose2= Set the level of verbosity to 2
PKG_OPTION_SET.verbose2:= CXXFLAGS+=-DDEBUG=2
include ../../mk/sysdep/doxygen.mk
include ../../graphics/kpp-interfacewalk/depend.mk
include ../../architecture/genom/depend.mk
include ../../pkgtools/libtool/depend.mk
include ../../pkgtools/pkg-config/depend.mk
include ../../mk/language/c.mk
include ../../mk/robotpkg.mk
@comment Fri May 1 15:51:47 JST 2009
include/kppInterfaceDisplay/kppCommandCreateGenoMTraj.h
include/kppInterfaceDisplay/kppCommandUpdateGenoMTraj.h
include/kppInterfaceDisplay/kppInterfaceDisplay.h
lib/modules/${NODENAME}/libkppInterfaceDisplay.a
lib/modules/${NODENAME}/libkppInterfaceDisplay.kab
lib/pkgconfig/kppInterfaceDisplay.pc
@dirrm include/kppInterfaceDisplay
# robotpkg depend.mk for: graphics/kpp-interfacedisplay
# Created: florent on Fri, 1 May 2009
#
DEPEND_DEPTH:= ${DEPEND_DEPTH}+
KPP_INTERFACEDISPLAY_DEPEND_MK:= ${KPP_INTERFACEDISPLAY_DEPEND_MK}+
ifeq (+,$(DEPEND_DEPTH))
DEPEND_PKG+= kpp-interfacedisplay
endif
ifeq (+,$(KPP_INTERFACEDISPLAY_DEPEND_MK)) # ------------------------------------
PREFER.kpp-interfacedisplay?= robotpkg
DEPEND_USE+= kpp-interfacedisplay
DEPEND_ABI.kpp-interfacedisplay?= kpp-interfacedisplay>=1.0.1
DEPEND_DIR.kpp-interfacedisplay?= ../../graphics/kpp-interfacedisplay
SYSTEM_SEARCH.kpp-interfacedisplay=\
include/kppInterfaceDisplay/kppInterfaceDisplay.h \
'lib/libkppInterfaceDisplay.{a,so}' \
'lib/pkgconfig/kppInterfaceDisplay.pc:/Version/s/[^0-9.]//gp'
endif # --------------------------------------------------------------------
DEPEND_DEPTH:= ${DEPEND_DEPTH:+=}
SHA1 (kppinterfacedisplay-1.0.2.tar.gz) = 72672650e4c91791d8121d69aa34df49dcb213f6
RMD160 (kppinterfacedisplay-1.0.2.tar.gz) = e4b38742a17620f12f2de32a5ed06b7206c3ee37
Size (kppinterfacedisplay-1.0.2.tar.gz) = 354640 bytes
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment